[Setting category="General" name="Show window" hidden]
bool Setting_WindowVisible = true;

[Setting category="General" name="Last saved TMData version" hidden]
string Setting_TMDataLastSave = "";


[Setting category="Input" name="Left Input"]
string Setting_LeftInput = "<<";

[Setting category="Input" name="Right Input"]
string Setting_RightInput = ">>";

[Setting category="Input" name="Forward Input"]
string Setting_ForwardInput = "++";

[Setting category="Input" name="Brake / Backward Input"]
string Setting_BrakeInput = "--";

[Setting category="Input" name="Respawn Input"]
string Setting_RespawnInput = "rs";

[Setting category="Input" name="Allow Multi-Input" description="Allow multiple inputs in one chat message, e.g. \"++ <<\" for forward left, assuming default settings"]
bool Setting_MultiInput = true;

[Setting category="Input" name="Input effect duration"]
float Setting_InputEffectDuration = 0.5;

[Setting category="Input" name="Required Chat Role for Respawn command"]
ChatRole Setting_RespawnRequiredRole = ChatRole::Moderator;

[Setting category="Input" name="Auto-Accelerate"]
bool Setting_AutoAccelerate = true;


[Setting category="Overlay" name="Show overlay"]
bool Setting_ShowOverlay = true;

[Setting category="Overlay" name="Move Overlay"]
bool Setting_MoveOverlay = false;

[Setting category="Overlay" name="Overlay Position"]
vec2 Setting_OverlayPos = vec2(0.5,0.050);

[Setting category="Overlay" name="Overlay Size"]
vec2 Setting_OverlaySize = vec2(Draw::GetWidth() * 0.150, Draw::GetHeight() * 0.120);

[Setting category="Overlay" name="Show usernames of new inputs"]
bool Setting_OverlayShowNames = true;

[Setting category="Overlay" name="Fade out time of usernames"]
float Setting_OverlayNameFadeOut = 1.0;